Bug 72698 - Python2's xml.sax package has syntax error
Python2's xml.sax package has syntax error
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: PyXML (Show other bugs)
null
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-26 14:36 EDT by Daryll
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-27 16:17:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daryll 2002-08-26 14:36:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
When you attempt to use the python2 xml.sax package to parse an XML file you get
a syntax error internal to the library.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.touch /tmp/hello

2.create foo.py containing:
import xml.sax
xml.sax.parse("/tmp/hello", xml.sax.handler.ContentHandler)

3. python2 foo.py

	

Actual Results:  Error:
Traceback (most recent call last):
  File "/usr/tmp/foo.py", line 4, in ?
    xml.sax.parse("hello", xml.sax.handler.ContentHandler)
  File "/usr/lib/python2.2/site-packages/_xmlplus/sax/__init__.py", line 31, in
parse
    parser.parse(filename_or_stream)
  File "/usr/lib/python2.2/site-packages/_xmlplus/sax/expatreader.py", line 107,
in parse
    self.reset()
  File "/usr/lib/python2.2/site-packages/_xmlplus/sax/expatreader.py", line 236,
in reset
    self._parser = expat.ParserCreate(intern = self._interning)
TypeError: 'intern' is an invalid keyword argument for this function


Expected Results:  Program should exit cleanly

Additional info:
Comment 1 Trond Eivind Glomsrxd 2002-08-27 16:17:04 EDT
Removed expat from PyXML FTTB - it's broken in 0.8.0 as well.
Comment 2 Trond Eivind Glomsrxd 2002-08-27 16:18:28 EDT
0.7.1-5  has this removed.

Note You need to log in before you can comment on or make changes to this bug.